Loading...
Searching...
No Matches
debug.cc File Reference
`#include "globaldefs.h"`

Go to the source code of this file.

## Functions

void | deb_inc_level ()
void | deb_dec_level ()

## Variables

STATIC_VAR int | deb_level = -1
VAR char * | deb_level_msg = (char *)""

## Function Documentation

## deb_dec_level()

void deb_dec_level | ( |  | ) |

Definition at line 24 of file debug.cc.

{
if ( deb_level > 0 ) {
int i;
deb_level--;
delete [] deb_level_msg;
deb_level_msg = new char[3*deb_level+1];
for ( i = 0; i < 3*deb_level; i++ )
deb_level_msg[i] = ' ';
deb_level_msg[3*deb_level] = '\0';
}
}
i
int i
Definition cfEzgcd.cc:132
deb_level_msg
VAR char * deb_level_msg
Definition debug.cc:5
deb_level
STATIC_VAR int deb_level
Definition debug.cc:4

## deb_inc_level()

void deb_inc_level | ( |  | ) |

Definition at line 7 of file debug.cc.

{
int i;
// deb_level == -1 iff we enter this function for the first time
if ( deb_level == -1 )
deb_level = 0;
else
delete [] deb_level_msg;
deb_level++;
deb_level_msg = new char[3*deb_level+1];
for ( i = 0; i < 3*deb_level; i++ )
deb_level_msg[i] = ' ';
deb_level_msg[3*deb_level] = '\0';
}

## Variable Documentation

## deb_level

STATIC_VAR int deb_level = -1

Definition at line 4 of file debug.cc.

## deb_level_msg

VAR char* deb_level_msg = (char *)""

Definition at line 5 of file debug.cc.